//remplace toutes les *** avec des valeurs, variable ou fonctions:)

#include <OneWire.h>
#include <***> //inclure la bibliothèque DallasTemperature

// Câble de donnée est branché dans le port ? de l'Arduino
#define ONE_WIRE_BUS ***

// Insatlle une instance oneWire pour communiquer avec des dispositifs OneWire (pas seulement des ICs de température Maxim/Dallas)
OneWire oneWire(ONE_WIRE_BUS);

// Passe notre référence oneWire à Dallas Temperature.
DallasTemperature sensors(&oneWire);

//initialise les variables
int refroidissant = ***; //ventilateur est branché à quel broche?
int chaufferette = ***; //coussin chauffant est branché à quel broche?
double temperature;
int temps_ecouler = 0;
int LimiteSuperieure = 35;
int LimiteInferieure = 25;
bool flag = false; //utilisé pour savoir quand la limite supérieure est atteinte

void setup(void)
{
  // débute le port de série
  Serial.begin(9600);
  Serial.println("Dallas Temperature IC Control Library Demo");

  // débute la bibliothèque
  sensors.begin();

  //déclare l'état des broches
  pinMode(refroidissant, ***); //le ventilateur est un OUTPUT
  pinMode(***, ***); //le coussin chauffant est un OUTPUT
}

void loop(void)
{
  // call sensors.requestTemperatures() to issue a global temperature
  // request to all devices on the bus

  sensors.requestTemperatures(); // Envoie la commande pour avoir les températures

  temperature = sensors.getTempCByIndex(0);

  //imprimer les températures au moniteur série
  Serial.print(temps_ecouler);
  Serial.print(", ");
  Serial.print(temperature);
  ***("C"); //imprime sur une nouvelle ligne
  temps_ecouler = temps_ecouler + 1; //incrémente le temps par 1 à chaque boucle

  //déclaration conditionnelle en assumant que la température commence en dessous de la limite supérieure
  if (temperature != -127 && temperature != 85) { //valeurs d'erreurs de défaut
    if (temperature < LimiteSuperieure && flag == false) { //si la limite supérieure n'est pas encore atteinte
      digitalWrite(***, HIGH); //ÉTTEINDRE le ventilateur
      digitalWrite(chauferette, ***); //ALLUMER le coussin chauffant
    } else if (temperature *** LimiteSuperieure) { //si la limite supérieure ou plus haut est atteint 
      ***(refroidissant, LOW); //ALLUMER le ventilateur
      digitalWrite(***, ***); //ÉTTEINDRE le coussin chauffant
      flag = true;
    } else if (temperature > LimiteInferieure && flag == true) { //si la limite inférieure n'est pas encore atteinte
      ***(***, ***); //ALLUMER le ventilateur
      ***(***, ***); //ÉTTEINDRE le coussin chauffant
    } else if (temperature <= LimiteInferieure && flag == true) { //si la limite inférieure est atteinte
      ***(***, ***); //ÉTTEINDRE le ventilateur
      ***(***, ***); //ÉTTEINDRE le coussin chauffant
    }
  }

  delay (***); //attendre 1 seconde
}
